#!/bin/bash

if efibootmgr >/dev/null 2>&1; then
	yum erase grub2 --assumeyes
	yum install grub2-efi shim --assumeyes
	BOOT_DEVICE=`findmnt -n /boot/efi -o SOURCE | sed -r 's|(/dev/.*)([0-9]+)|-d \1 -p \2|'`
	efibootmgr -c $BOOT_DEVICE -L "Red Hat Enterprise Linux"
	grub2-mkconfig -o /boot/efi/EFI/redhat/grub.cfg
fi
